Worker::pop
Worker::shift
Worker
PHP Manual

# Worker::run

Execution

### Description

abstract public void Worker::run ( void )

The run method should prepare the Workers members ( and resources ) - Stackables have access to the Worker and it's methods/members/resources during execution

### Parameters

This function has no parameters.

### Return Values

The methods return value, if used, will be ignored